Index: libroardsp/convert.c
===================================================================
--- libroardsp/convert.c	(revision 6052)
+++ libroardsp/convert.c	(revision 0)
@@ -952,320 +187,27 @@
  //       for the moment: guess out >= in
 
- from_size = (from->bits * samples) / 8;
- to_size   = (  to->bits * samples * to->rate * to->channels) / (8 * from->rate * from->channels);
-
- ROAR_DBG("roar_conv(*): size: %i->%i", from_size, to_size);
-
- if ( to_size < from_size ) {
-  real_out = out;
-
-  if ( (out = roar_mm_malloc(from_size)) == NULL )
-   return -1;
-
-  ROAR_DBG("roar_conv(*): roar_mm_malloc(%i)=%p", (int)from_size, out);
- }
-
- ROAR_DBG("roar_conv(*): bo conv: %i->%i(native)", ROAR_CODEC_BYTE_ORDER(from->codec), ROAR_CODEC_NATIVE_ENDIAN);
-
- if ( ROAR_CODEC_BYTE_ORDER(from->codec) != ROAR_CODEC_NATIVE_ENDIAN ) {
-  ROAR_DBG("roar_conv(*): doing bo input conv");
-  if ( roar_conv_endian(out, ip, samples, ROAR_CODEC_BYTE_ORDER(from->codec), ROAR_CODEC_NATIVE_ENDIAN, from->bits) == -1 ) {
-   if ( to_size < from_size )
-    roar_mm_free(out);
-   return -1;
-  } else {
-   ip = out;
-  }
- }
-
  if ( from->bits != to->bits ) {
-  if ( roar_conv_bits(out, ip, samples, from->bits, to->bits) == -1 ) {
-   if ( to_size < from_size )
-    roar_mm_free(out);
-   return -1;
-  } else {
-   ip = out;
-  }
- }
-
- if ( ROAR_CODEC_IS_SIGNED(from->codec) != ROAR_CODEC_IS_SIGNED(to->codec) ) {
-  if ( roar_conv_signedness(out, ip, samples, ROAR_CODEC_IS_SIGNED(from->codec), ROAR_CODEC_IS_SIGNED(to->codec), to->bits) == -1 ) {
-   if ( to_size < from_size )
-    roar_mm_free(out);
-   return -1;
-  } else {
-   ip = out;
-  }
- }
-
-/*
- if ( from->codec != to->codec ) {
-  if ( roar_conv_codec (out, ip, samples, from->codec, to->codec, to->bits) == -1 )
+  if ( roar_conv_bits(out, ip, samples, from->bits, to->bits) == -1 )
    return -1;
   else
    ip = out;
  }
-*/
+
+ if ( from->channels != to->channels ) {
+  if ( roar_conv_chans(out, ip, samples, from->channels, to->channels, to->bits) == -1 )
+   return -1;
+  else
+   ip = out;
+ }
 
  if ( from->rate != to->rate ) {
-  if ( roar_conv_rate(out, ip, samples, from->rate, to->rate, to->bits, from->channels) == -1 ) {
-   ROAR_DBG("roar_conv(*): failed to convert rate %i->%i (%ich%ibits)", from->rate, to->rate, to->bits, from->channels);
-   if ( to_size < from_size )
-    roar_mm_free(out);
-   return -1;
-  } else {
+  if ( roar_conv_rate(out, ip, samples, from->rate, to->rate, to->bits, to->channels) == -1 )
+   return -1;
+  else
    ip = out;
-   samples = (samples * to->rate) / from->rate;
-  }
- }
-
- if ( from->channels != to->channels ) {
-  if ( roar_conv_chans(out, ip, samples, from->channels, to->channels, to->bits) == -1 ) {
-   if ( to_size < from_size )
-    roar_mm_free(out);
-   return -1;
-  } else {
-   ip = out;
-  }
- }
-
- if ( ROAR_CODEC_BYTE_ORDER(to->codec) != ROAR_CODEC_NATIVE_ENDIAN ) {
-  if ( roar_conv_endian(out, ip, samples, ROAR_CODEC_NATIVE_ENDIAN, ROAR_CODEC_BYTE_ORDER(to->codec), to->bits) == -1 ) {
-   if ( to_size < from_size )
-    roar_mm_free(out);
-   return -1;
-  } else {
-   ip = out;
-  }
- }
-
- if ( to_size < from_size ) {
-  ROAR_DBG("roar_conv(*): memcpy(%p, %p, %i) = ?", real_out, out, (int)to_size);
-  memcpy(real_out, out, to_size);
-  roar_mm_free(out);
-  ROAR_DBG("roar_conv(*): free(%p): OK!", out);
- }
-
- return 0;
-}
-
-int roar_conv2(void * out, void * in,
-               size_t inlen,
-               struct roar_audio_info * from, struct roar_audio_info * to,
-               size_t bufsize) {
- size_t samples;
-// size_t needed_buffer;
- void   * cin = in;
- struct roar_audio_info cinfo;
- int    need_signed = 0;
- size_t outsamples;
-
- memcpy(&cinfo, from, sizeof(cinfo));
-
- ROAR_DBG("roar_conv2(out=%p, in=%p, inlen=%lu, from=%p{...}, to=%p{...}, bufsize=%lu", out, in, (unsigned long int)inlen, from, to, (unsigned long int)bufsize);
-
-/*
- if ( in != out ) {
-  memset(out, 0xA0, bufsize);
- } else {
-  ROAR_WARN("roar_conv2(*): in==out!");
-  memset(out+inlen, 0xA0, bufsize-inlen);
- }
-*/
-
- // calculate number of input samples:
- samples = (inlen * 8) / (from->bits);
-
- ROAR_DBG("roar_conv2(*): input samples: %i", samples);
-
-#if 0
- // calculate size per frame
- needed_buffer  = ROAR_MAX(from->channels, to->channels) * ROAR_MAX(from->bits, to->bits) / 8;
-
- needed_buffer *= samples;
- needed_buffer /= from->channels;
-
- if ( from->rate < to->rate )
-  needed_buffer *= (float)to->rate/(float)from->rate;
-
- ROAR_DBG("roar_conv2(*): needed_buffer=%u, bufsize=%u", needed_buffer, bufsize);
-
- // check if we have enogth RAM to convert
- if ( needed_buffer > bufsize )
+ }
+
+ if ( from->codec != to->codec )
   return -1;
-#endif
-
- if ( from->rate != to->rate || from->channels != to->channels )
-  need_signed = 1;
-
-  ROAR_DBG("roar_conv2(*): need_signed=%i", need_signed);
-
- if ( ROAR_CODEC_BYTE_ORDER(from->codec) != ROAR_CODEC_NATIVE_ENDIAN ) {
-  ROAR_DBG("roar_conv2(*): doing bo input conv");
-  if ( roar_conv_endian(out, cin, samples,
-       ROAR_CODEC_BYTE_ORDER(from->codec), ROAR_CODEC_NATIVE_ENDIAN, from->bits) == -1 ) {
-   return -1;
-  }
-  cin = out;
- }
-
- if ( to->bits > from->bits ) {
-  ROAR_DBG("roar_conv2(*): bits: %i->%i", from->bits, to->bits);
-  if ( roar_conv_bits(out, cin, samples, from->bits, to->bits) == -1 )
-   return -1;
-
-  cin        = out;
-  cinfo.bits = to->bits;
- }
-
- if ( need_signed && ! ROAR_CODEC_IS_SIGNED(from->codec) ) {
-  ROAR_DBG("roar_conv2(*): sign: unsigned->signed");
-  if ( roar_conv_signedness(out, cin, samples,
-                            ROAR_CODEC_IS_SIGNED(from->codec), ROAR_CODEC_IS_SIGNED(to->codec),
-                            cinfo.bits) == -1 )
-   return -1;
-
-  cin            = out;
-  cinfo.codec    = ROAR_CODEC_PCM_S_LE; // just a signed PCM, which is of no intrest
- }
-
- if ( to->channels > from->channels ) {
-  ROAR_DBG("roar_conv2(*): channels: %i->%i", from->channels, to->channels);
-  if ( roar_conv_chans(out, cin, samples, from->channels, to->channels, cinfo.bits) == -1 )
-   return -1;
-
-  cin            = out;
-  samples        = (samples * to->channels) / cinfo.channels;
-  cinfo.channels = to->channels;
- }
-
-//--//
- if ( from->rate != to->rate ) {
-  outsamples = bufsize;
-
-  ROAR_DBG("roar_conv2(*): outsamples=%llu", (long long unsigned int)outsamples);
-
-  if ( cinfo.channels != to->channels ) {
-   outsamples *= cinfo.channels;
-   outsamples /= to->channels;
-  }
-
-  if ( cinfo.bits != to->bits ) {
-   outsamples *= cinfo.bits;
-   outsamples /= to->bits;
-  }
-
-  outsamples /= cinfo.bits/8;
-
-  ROAR_DBG("roar_conv2(*): outsamples=%llu", (long long unsigned int)outsamples);
-
-  if ( roar_conv_rate2(out, cin, outsamples, samples, cinfo.bits, cinfo.channels) == -1 )
-   return -1;
-
-  cin            = out;
-  samples        = outsamples;
-  cinfo.rate     = to->rate;
- }
-
- if ( cinfo.channels != to->channels ) {
-  ROAR_DBG("roar_conv2(*): channels: %i->%i", cinfo.channels, to->channels);
-  if ( roar_conv_chans(out, cin, samples, cinfo.channels, to->channels, cinfo.bits) == -1 )
-   return -1;
-
-  cin            = out;
-  samples        = (samples * to->channels) / cinfo.channels;
-  cinfo.channels = to->channels;
- }
-
- if ( ROAR_CODEC_IS_SIGNED(cinfo.codec) != ROAR_CODEC_IS_SIGNED(to->codec) ) {
-  ROAR_DBG("roar_conv2(*): sign: ?(%i)->?(%i)", ROAR_CODEC_IS_SIGNED(cinfo.codec), ROAR_CODEC_IS_SIGNED(to->codec));
-  if ( roar_conv_signedness(out, cin, samples,
-                            ROAR_CODEC_IS_SIGNED(cinfo.codec), ROAR_CODEC_IS_SIGNED(to->codec),
-                            cinfo.bits) == -1 )
-   return -1;
-
-  cin            = out;
-  cinfo.codec    = to->codec;
- }
-
- if ( cinfo.bits != to->bits ) {
-  ROAR_DBG("roar_conv2(*): bits: %i->%i", cinfo.bits, to->bits);
-  if ( roar_conv_bits(out, cin, samples, cinfo.bits, to->bits) == -1 )
-   return -1;
-
-  cin        = out;
-  cinfo.bits = to->bits;
- }
-
- if ( ROAR_CODEC_BYTE_ORDER(to->codec) != ROAR_CODEC_NATIVE_ENDIAN ) {
-  ROAR_DBG("roar_conv2(*): doing bo output conv");
-  if ( roar_conv_endian(out, cin, samples,
-       ROAR_CODEC_NATIVE_ENDIAN, ROAR_CODEC_BYTE_ORDER(to->codec), to->bits) == -1 ) {
-   return -1;
-  }
-  cin = out;
- }
-
- ROAR_DBG("roar_conv2(*): samples=%llu", (long long unsigned int)samples);
-
- ROAR_DBG("roar_conv2(*) = 0");
- return 0;
-}
-
-int roar_conv_poly4_16 (int16_t * out, int16_t * in, size_t olen, size_t ilen) {
- return roar_conv_poly4_16s(out, in, olen, ilen, (float)ilen/olen);
-}
-
-int roar_conv_poly4_16s (int16_t * out, int16_t * in, size_t olen, size_t ilen, float step) {
- float poly[4];
- float data[4];
- float t    = 0;
- int16_t * ci = in;
- int io, ii = 0;
- int i;
-
-// printf("step=%f\n", step);
-
- // we can not make a poly4 with less than 4 points ;)
- if ( ilen < 4 )
-  return -1;
-
- for (i = 0; i < 4; i++)
-  data[i] = ci[i];
- roar_math_mkpoly_4x4(poly, data);
-/*
- printf("new poly: data[4] = {%f, %f, %f, %f}, poly[4] = {%f, %f, %f, %f}\n",
-         data[0], data[1], data[2], data[3],
-         poly[0], poly[1], poly[2], poly[3]
-       );
-*/
-
- //0 1 2 3
-
- for (io = 0; io < olen; io++) {
-//  printf("t=%f\n", t);
-  out[io] = roar_math_cvpoly_4x4(poly, t);
-  t += step;
-  if ( t > 2 ) { // we need a new ploynome
- //  printf("t > 2, need new data\n");
-   if ( (ii + 4) < ilen ) { // else: end of block.
-    t -= 1;
-//    printf("new data: ii=%i\n", ii);
-    ii++;
-    ci++;
-    for (i = 0; i < 4; i++)
-     data[i] = ci[i];
-    roar_math_mkpoly_4x4(poly, data);
-/* 
-   printf("new poly: data[4] = {%f, %f, %f, %f}, poly[4] = {%f, %f, %f, %f}\n",
-           data[0], data[1], data[2], data[3],
-           poly[0], poly[1], poly[2], poly[3]
-          );
-*/
-   }
-  }
- }
-
-// printf("io=%i\n", io);
 
  return 0;
Index: libroaresd/Makefile
===================================================================
--- libroaresd/Makefile	(revision 5849)
+++ libroaresd/Makefile	(revision 0)
@@ -1,28 +1,16 @@
-include ../Makefile.conf
-include ../Makefile.inc
-
-BASENAME=libroaresd
-SLIB=$(BASENAME)$(SHARED_SUFFIX)
-ALIB=$(BASENAME).a
-
-TARGETS=$(SLIB) $(ALIB) $(IMPLIB)
+TARGETS=libroaresd.so
 OBJS=libroaresd.o esdbasic.o esdctl.o esdstream.o esdsample.o esdfile.o
 
-#DEFINES        = -DDEBUG
-INCLUDE = -I../include -I../include/libroaresd
-CFLAGS += $(DEBUG_g) $(Wall) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
-LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) $(LDPATH) -L../lib/
-LIBS    = $(LIBROAR)
+DEFINES        = -DDEBUG
+INCLUDE = -I../include -I./include
+CFLAGS  = -g -Wall -O2 $(DEFINES) $(INCLUDE)
+LDFLAGS = -g -shared -lroar -L../lib/
 
 all: ${TARGETS}
-	rm -f ../lib/${SLIB} 2> /dev/null || true
-	cp $(cp_v) ${TARGETS} ../lib/
+	cp -v ${TARGETS} ../lib/
 clean:
 	rm -f ${TARGETS} *.o
 new: clean all
 
-$(SLIB): ${OBJS}
-	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_SOVERSION) -o $(SLIB) ${OBJS} ${LIBS}
-$(ALIB): ${OBJS}
-	${AR} cru $(ALIB) ${OBJS}
-	${RANLIB} $(ALIB)
+libroaresd.so: ${OBJS}
+	${CC} ${LDFLAGS} -o libroaresd.so ${OBJS}
Index: libroaresd/esdbasic.c
===================================================================
--- libroaresd/esdbasic.c	(revision 6052)
+++ libroaresd/esdbasic.c	(revision 0)
@@ -1,40 +1,3 @@
 //esdbasic.c:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *  The code (may) include prototypes and comments (and maybe
- *  other code fragements) from EsounD.
- *  They are mostly copyrighted by Eric B. Mitchell (aka 'Ricdude)
- *  <ericmit@ix.netcom.com>. For more information see AUTHORS.esd.
- *
- *  This file is part of libroaresd a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE for everyone want's to change something and send patches:
- *  read README and HACKING! There a addition information on
- *  the license of this document you need to read before you send
- *  any patches.
- *
- *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
- *  or libpulse*:
- *  The libs libroaresd, libroararts and libroarpulse link this libroar
- *  and are therefore GPL. Because of this it may be illigal to use
- *  them with any software that uses libesd, libartsc or libpulse*.
- */
 
 #include "libroaresd.h"
@@ -46,43 +9,19 @@
 int esd_open_sound( const char *host ) {
  struct roar_connection con;
- int fh;
 
- if ( host == NULL )
-  host = roar_env_get("ESPEAKER");
-
- if ( roar_simple_connect(&con, (char*) host, NULL) == -1 ) {
+ if ( roar_simple_connect(&con, host, NULL) == -1 ) {
   ROAR_DBG("esd_open_sound(*): roar_simple_connect() faild!");
   return -1;
  }
 
- if ( (fh = roar_get_connection_fh(&con)) == -1 ) {
-  roar_disconnect(&con);
-  return -1;
- }
-
- return fh;
+ return con.fh;
 }
 
 /* send the authorization cookie, create one if needed */
-int esd_send_auth( int sock ) {
- (void) sock;
- return 0;
-}
+int esd_send_auth( int sock );
 
 /* closes fd, previously obtained by esd_open */
 int esd_close( int esd ) {
- struct roar_vio_calls vio;
-
- if ( roar_vio_open_fh_socket(&vio, esd) == -1 ) {
-  roar_err_update();
-  return -1;
- }
-
- if ( roar_vio_close(&vio) == -1 ) {
-  roar_err_update();
-  return -1;
- }
-
- return 0;
+ return roar_simple_close(esd);
 }
 
@@ -94,18 +33,13 @@
 /* if your stream is at 22.05 Khz it'll be double this - in mono   */
 /* double again ... etc.                                           */
-
-// TODO: FIXME: write something usefull here.
 int esd_get_latency(int esd) {
-#ifdef ROAR_HAVE_GETTIMEOFDAY
  struct timeval         try, ans;
  struct roar_message    m;
  struct roar_connection con;
 
- memset(&m, 0, sizeof(m));
-
  m.cmd = ROAR_CMD_NOOP;
  m.datalen = 0;
 
- roar_connect_fh(&con, esd);
+ con.fh = esd;
 
  gettimeofday(&try, NULL);
@@ -125,8 +59,4 @@
 
  return 441*ans.tv_usec/10000;
-#else
- // don't know...
- return 0;
-#endif
 }
 
Index: libroaresd/esdctl.c
===================================================================
--- libroaresd/esdctl.c	(revision 6052)
+++ libroaresd/esdctl.c	(revision 0)
@@ -1,40 +1,3 @@
 //esdctl.c:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *  The code (may) include prototypes and comments (and maybe
- *  other code fragements) from EsounD.
- *  They are mostly copyrighted by Eric B. Mitchell (aka 'Ricdude)
- *  <ericmit@ix.netcom.com>. For more information see AUTHORS.esd.
- *
- *  This file is part of libroaresd a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE for everyone want's to change something and send patches:
- *  read README and HACKING! There a addition information on
- *  the license of this document you need to read before you send
- *  any patches.
- *
- *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
- *  or libpulse*:
- *  The libs libroaresd, libroararts and libroarpulse link this libroar
- *  and are therefore GPL. Because of this it may be illigal to use
- *  them with any software that uses libesd, libartsc or libpulse*.
- */
 
 #include "libroaresd.h"
@@ -45,11 +8,7 @@
 // so always return -1
 int esd_lock( int esd ) {
- (void)esd;
- errno = ENOSYS;
  return -1;
 }
 int esd_unlock( int esd ) {
- (void)esd;
- errno = ENOSYS;
  return -1;
 }
@@ -59,5 +18,5 @@
  struct roar_connection con;
 
- roar_connect_fh(&con, esd);
+ con.fh = esd;
 
  return roar_set_standby(&con, ROAR_STANDBY_ACTIVE);
@@ -67,29 +26,22 @@
  struct roar_connection con;
 
- roar_connect_fh(&con, esd);
+ con.fh = esd;
 
  return roar_set_standby(&con, ROAR_STANDBY_INACTIVE);
 }
 
-static void _format2str(char * buf, size_t len, esd_format_t format) {
-
- if ( (format & ESD_BITS16) == ESD_BITS16 ) {
-  roar_mm_strlcat(buf, "16 bit ", len);
- } else {
-  roar_mm_strlcat(buf, "8 bit ", len);
- }
-
- if ( (format & ESD_STEREO) == ESD_STEREO ) {
-  roar_mm_strlcat(buf, "stereo ", len);
- } else {
-  roar_mm_strlcat(buf, "mono ", len);
- }
-}
-
 /* print server into to stdout */
-void esd_print_server_info(esd_server_info_t *server_info ) {
+void esd_print_server_info( esd_server_info_t *server_info ) {
  char buf[80] = "";
 
- _format2str(buf, sizeof(buf), server_info->format);
+ if ( server_info->format & ESD_BITS8 )
+  strcat(buf, "8 bit ");
+ else
+  strcat(buf, "16 bit ");
+
+ if ( server_info->format & ESD_MONO )
+  strcat(buf, "stereo ");
+ else
+  strcat(buf, "mono ");
 
  printf("server version   = %i\n",        server_info->version);
@@ -98,8 +50,17 @@
 }
 
+
 void esd_print_player_info( esd_player_info_t *player_info ) {
  char buf[80] = "";
 
- _format2str(buf, sizeof(buf), player_info->format);
+ if ( player_info->format & ESD_BITS8 )
+  strcat(buf, "8 bit ");
+ else
+  strcat(buf, "16 bit ");
+
+ if ( player_info->format & ESD_MONO )
+  strcat(buf, "stereo ");
+ else
+  strcat(buf, "mono ");
 
  printf("player %i name    = %s\n",        player_info->source_id, player_info->name);
@@ -109,16 +70,5 @@
  printf("player %i right   = %i\n",        player_info->source_id, player_info->right_vol_scale );
 }
-
 void esd_print_sample_info( esd_sample_info_t *sample_info ) {
- char buf[80] = "";
-
- _format2str(buf, sizeof(buf), sample_info->format);
-
- printf("sample %i name    = %s\n",        sample_info->sample_id, sample_info->name);
- printf("sample %i format  = 0x%08x %s\n", sample_info->sample_id, sample_info->format, buf);
- printf("sample %i rate    = %i\n",        sample_info->sample_id, sample_info->rate);
- printf("sample %i left    = %i\n",        sample_info->sample_id, sample_info->left_vol_scale);
- printf("sample %i right   = %i\n",        sample_info->sample_id, sample_info->right_vol_scale);
- printf("sample %i length  = %i\n",        sample_info->sample_id, sample_info->length);
 }
 
@@ -154,5 +104,5 @@
  struct roar_message    m;
 
- r = roar_mm_malloc(sizeof(esd_server_info_t));
+ r = malloc(sizeof(esd_server_info_t));
 
  if ( r == NULL )
@@ -161,23 +111,20 @@
  r->version = 0; // seems to be static
 
- roar_connect_fh(&con, esd);
-
- memset(&m, 0, sizeof(m));
-
+ con.fh    = esd;
  m.cmd     = ROAR_CMD_SERVER_OINFO;
  m.datalen = 0;
 
  if ( roar_req(&con, &m, NULL) == -1 ) {
-  roar_mm_free(r);
+  free(r);
   return NULL;
  }
 
  if ( m.cmd != ROAR_CMD_OK ) {
-  roar_mm_free(r);
+  free(r);
   return NULL;
  }
 
  if ( roar_stream_m2s(&s, &m) == -1 ) {
-  roar_mm_free(r);
+  free(r);
   return NULL;
  }
@@ -200,6 +147,6 @@
 /* release all memory allocated for the server properties structure */
 void esd_free_server_info( esd_server_info_t *server_info ) {
- if (server_info != NULL)
-  roar_mm_free(server_info);
+ if (server_info)
+  free(server_info);
 }
 
@@ -213,12 +160,9 @@
  struct roar_stream s;
  struct roar_connection con[1];
- struct roar_mixer_settings mixer;
- int channels;
- float fs;
  esd_player_info_t * new_player, * cur = NULL; // = NULL to avoid gcc warning
 
- roar_connect_fh(con, esd);
-
- r = roar_mm_malloc(sizeof(esd_info_t));
+ con->fh = esd;
+
+ r = malloc(sizeof(esd_info_t));
 
  if ( r == NULL )
@@ -246,5 +190,5 @@
    }
 
-   if ( (new_player = roar_mm_malloc(sizeof(esd_player_info_t))) == NULL ) {
+   if ( (new_player = malloc(sizeof(esd_player_info_t))) == NULL ) {
     ROAR_ERR("esd_get_all_info(*): can not alloc memory for new player! BAD");
     continue;
@@ -261,21 +205,5 @@
 
    new_player->server         = r->server;
-
-   if ( roar_get_vol(con, c.execed, &mixer, &channels) == -1 ) {
-    ROAR_ERR("esd_get_all_info(*): can not get stream mixer info");
-    new_player->left_vol_scale = new_player->right_vol_scale = 256;
-   } else {
-    fs = mixer.scale / 257;
-    if ( channels == 1 ) {
-     new_player->left_vol_scale = new_player->right_vol_scale = mixer.mixer[0] == mixer.scale ? 256 : mixer.mixer[0] / fs;
-    } else {
-     if ( channels != 2 ) {
-      ROAR_ERR("esd_get_all_info(*): server seems to run in > 2 channel mode. ignoring any but the first two channels!");
-     }
-     new_player->left_vol_scale  = mixer.mixer[0] == mixer.scale ? 256 : mixer.mixer[0] / fs;
-     new_player->right_vol_scale = mixer.mixer[1] == mixer.scale ? 256 : mixer.mixer[1] / fs;
-    }
-   }
-
+   new_player->left_vol_scale = new_player->right_vol_scale = 256; // TODO: add data from the mixer
 
    if ( r->player_list == NULL ) {
@@ -293,23 +221,10 @@
 
 /* retrieve all information from server, and update until unsubsribed or closed */
-esd_info_t *esd_subscribe_all_info( int esd ) {
- (void)esd;
- errno = ENOSYS;
- return NULL; // Not yet implemented in upstream esd
-}
+esd_info_t *esd_subscribe_all_info( int esd );
 
 /* call to update the info structure with new information, and call callbacks */
 esd_info_t *esd_update_info( int esd, esd_info_t *info,
-                             esd_update_info_callbacks_t *callbacks ) {
- (void)esd, (void)info, (void)callbacks;
- errno = ENOSYS;
- return NULL; // Not yet implemented in upstream esd
-}
-
-esd_info_t *esd_unsubscribe_info( int esd ) {
- (void)esd;
- errno = ENOSYS;
- return NULL; // Not yet implemented in upstream esd
-}
+                             esd_update_info_callbacks_t *callbacks );
+esd_info_t *esd_unsubscribe_info( int esd );
 
 /* release all memory allocated for the esd info structure */
@@ -338,9 +253,9 @@
  player = info->player_list;
 
- while (player != NULL) {
+ while (player) {
   oplayer = player;
   player  = player->next;
 
-  roar_mm_free(oplayer);
+  free(oplayer);
  }
 
@@ -351,8 +266,8 @@
   sample  = sample->next;
 
-  roar_mm_free(osample);
- }
-
-  roar_mm_free(info);
+  free(osample);
+ }
+
+  free(info);
  }
 }
@@ -362,17 +277,5 @@
 int esd_set_stream_pan( int esd, int stream_id,
                         int left_scale, int right_scale ) {
- struct roar_connection con;
- struct roar_mixer_settings mixer;
-
- roar_connect_fh(&con, esd);
-
- mixer.scale    = 256;
- mixer.mixer[0] = left_scale;
- mixer.mixer[1] = right_scale;
-
- ROAR_DBG("esd_set_stream_pan(esd=%i, stream_id=%i, left_scale=%i, right_scale=%i) = ?", 
-                esd, stream_id, left_scale, right_scale);
-
- return roar_set_vol(&con, stream_id, &mixer, 2, ROAR_SET_VOL_UNMAPPED);
+ return -1;
 }
 
@@ -380,7 +283,4 @@
 int esd_set_default_sample_pan( int esd, int sample_id,
                                 int left_scale, int right_scale ) {
- // this is not yet implemented by the RA protocol.
- (void)esd, (void)sample_id, (void)left_scale, (void)right_scale;
- errno = ENOSYS;
  return -1;
 }
@@ -388,10 +288,5 @@
 /* see if the server is in stnaby, autostandby, etc */
 esd_standby_mode_t esd_get_standby_mode( int esd ) {
- struct roar_connection con;
-
- if ( roar_connect_fh(&con, esd) == -1 )
-  return -1;
-
- return roar_get_standby(&con);
+ return roar_simple_get_standby(esd);
 }
 
Index: libroaresd/esdfile.c
===================================================================
--- libroaresd/esdfile.c	(revision 6052)
+++ libroaresd/esdfile.c	(revision 0)
@@ -1,40 +1,3 @@
 //esdfile.c:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *  The code (may) include prototypes and comments (and maybe
- *  other code fragements) from EsounD.
- *  They are mostly copyrighted by Eric B. Mitchell (aka 'Ricdude)
- *  <ericmit@ix.netcom.com>. For more information see AUTHORS.esd.
- *
- *  This file is part of libroaresd a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE for everyone want's to change something and send patches:
- *  read README and HACKING! There a addition information on
- *  the license of this document you need to read before you send
- *  any patches.
- *
- *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
- *  or libpulse*:
- *  The libs libroaresd, libroararts and libroarpulse link this libroar
- *  and are therefore GPL. Because of this it may be illigal to use
- *  them with any software that uses libesd, libartsc or libpulse*.
- */
 
 #include "libroaresd.h"
@@ -47,13 +10,5 @@
 }
 int esd_play_file( const char *name_prefix, const char *filename, int fallback ) {
- int ret = roar_simple_play_file(filename, NULL, name_prefix);
-
- if ( ret != -1 )
-  return 0;
-
- if ( !fallback )
-  return -1;
-
- return roar_simple_play_file(filename, "+fork", name_prefix) == -1 ? -1 : 0;
+ return -1;
 }
 int esd_file_cache( int esd, const char *name_prefix, const char *filename ) {
Index: libroaresd/esdsample.c
===================================================================
--- libroaresd/esdsample.c	(revision 6052)
+++ libroaresd/esdsample.c	(revision 0)
@@ -1,40 +1,3 @@
 //esdsample.c:
-
-/*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2015
- *  The code (may) include prototypes and comments (and maybe
- *  other code fragements) from EsounD.
- *  They are mostly copyrighted by Eric B. Mitchell (aka 'Ricdude)
- *  <ericmit@ix.netcom.com>. For more information see AUTHORS.esd.
- *
- *  This file is part of libroaresd a part of RoarAudio,
- *  a cross-platform sound system for both, home and professional use.
- *  See README for details.
- *
- *  This file is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License version 3
- *  as published by the Free Software Foundation.
- *
- *  RoarAudio is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this software; see the file COPYING.  If not, write to
- *  the Free Software Foundation, 51 Franklin Street, Fifth Floor,
- *  Boston, MA 02110-1301, USA.
- *
- *  NOTE for everyone want's to change something and send patches:
- *  read README and HACKING! There a addition information on
- *  the license of this document you need to read before you send
- *  any patches.
- *
- *  NOTE for uses of non-GPL (LGPL,...) software using libesd, libartsc
- *  or libpulse*:
- *  The libs libroaresd, libroararts and libroarpulse link this libroar
- *  and are therefore GPL. Because of this it may be illigal to use
- *  them with any software that uses libesd, libartsc or libpulse*.
- */
 
 #include "libroaresd.h"
